diff --git a/combo/apps/notifications/models.py b/combo/apps/notifications/models.py
index cfc866db..d12abb23 100644
--- a/combo/apps/notifications/models.py
+++ b/combo/apps/notifications/models.py
@@ -181,10 +181,10 @@ class NotificationsCell(CellBase):
         user = kwargs.get('user')
         if user is None or not user.is_authenticated:
             return False
-        return super(NotificationsCell, self).is_visible(**kwargs)
+        return super().is_visible(**kwargs)
 
     def get_cell_extra_context(self, context):
-        extra_context = super(NotificationsCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         user = getattr(context.get('request'), 'user', None)
         if user and user.is_authenticated:
             qs = Notification.objects.visible(user)
diff --git a/combo/apps/pwa/forms.py b/combo/apps/pwa/forms.py
index 1f9948d4..f2a8507b 100644
--- a/combo/apps/pwa/forms.py
+++ b/combo/apps/pwa/forms.py
@@ -27,7 +27,7 @@ class PwaSettingsForm(forms.ModelForm):
         exclude = ('push_notifications_infos',)
 
     def __init__(self, *args, **kwargs):
-        super(PwaSettingsForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.fields['application_icon'].widget.attrs = {'accept': 'image/jpeg,image/png'}
 
     def clean_application_icon(self):
diff --git a/combo/apps/pwa/manager_views.py b/combo/apps/pwa/manager_views.py
index 706beb33..b6fb1e98 100644
--- a/combo/apps/pwa/manager_views.py
+++ b/combo/apps/pwa/manager_views.py
@@ -34,25 +34,25 @@ class ManagerHomeView(UpdateView):
     success_url = reverse_lazy('pwa-manager-homepage')
 
     def get_initial(self):
-        initial = super(ManagerHomeView, self).get_initial()
+        initial = super().get_initial()
         initial['application_name'] = self.get_object().get_application_name()
         return initial
 
     def form_valid(self, form):
         if form.instance.application_name == PwaSettings.get_default_application_name():
             form.instance.application_name = ''
-        return super(ManagerHomeView, self).form_valid(form)
+        return super().form_valid(form)
 
     def get_object(self):
         return PwaSettings.singleton()
 
     def get_context_data(self, **kwargs):
-        context = super(ManagerHomeView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['navigation_entries'] = PwaNavigationEntry.objects.all()
         return context
 
 
-class ManagerNavigationEntryMixin(object):
+class ManagerNavigationEntryMixin:
     model = PwaNavigationEntry
     fields = [
         'label',
@@ -83,8 +83,8 @@ class ManagerNavigationEntryMixin(object):
         elif form.instance.url:
             form.add_error('url', _('An URL cannot be specified when a page is selected.'))
         if form.errors:
-            return super(ManagerNavigationEntryMixin, self).form_invalid(form)
-        return super(ManagerNavigationEntryMixin, self).form_valid(form)
+            return super().form_invalid(form)
+        return super().form_valid(form)
 
 
 class ManagerAddNavigationEntry(ManagerNavigationEntryMixin, CreateView):
diff --git a/combo/apps/pwa/models.py b/combo/apps/pwa/models.py
index 5658e19c..ba450982 100644
--- a/combo/apps/pwa/models.py
+++ b/combo/apps/pwa/models.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*
 #
 # combo - content management system
 # Copyright (C) 2015-2018  Entr'ouvert
@@ -42,7 +41,7 @@ class PwaSettings(models.Model):
     application_icon = models.FileField(
         verbose_name=_('Application Icon'),
         help_text=_(
-            u'Icon file must be in JPEG or PNG format, and should be a square of at least 512×512 pixels.'
+            'Icon file must be in JPEG or PNG format, and should be a square of at least 512×512 pixels.'
         ),
         upload_to='pwa',
         blank=True,
@@ -70,7 +69,7 @@ class PwaSettings(models.Model):
             }
         elif not self.push_notifications:
             self.push_notifications_infos = {}
-        return super(PwaSettings, self).save(**kwargs)
+        return super().save(**kwargs)
 
     @classmethod
     def singleton(cls):
diff --git a/combo/apps/search/engines.py b/combo/apps/search/engines.py
index 8dd40e74..960668ab 100644
--- a/combo/apps/search/engines.py
+++ b/combo/apps/search/engines.py
@@ -17,7 +17,7 @@
 from django.conf import settings
 
 
-class Engines(object):
+class Engines:
     """Singleton object that serves as a registry of search engines."""
 
     def __init__(self):
diff --git a/combo/apps/search/forms.py b/combo/apps/search/forms.py
index 67737c98..44735c67 100644
--- a/combo/apps/search/forms.py
+++ b/combo/apps/search/forms.py
@@ -86,7 +86,7 @@ class TextEngineSettingsForm(TextEngineSettingsUpdateForm):
         pages_queryset = Page.objects.filter(snapshot__isnull=True, sub_slug='').order_by('title')
         pages = Page.get_as_reordered_flat_hierarchy(pages_queryset)
         pages_choices = [('', '---------')] + [
-            (x.id, {'label': '%s %s' % (u'\u00a0' * x.level * 2, x.title), 'disabled': x.slug in used_slugs})
+            (x.id, {'label': '%s %s' % ('\u00a0' * x.level * 2, x.title), 'disabled': x.slug in used_slugs})
             for x in pages
         ]
         # if '_text' without page is already selected, page is required
diff --git a/combo/apps/search/migrations/0001_initial.py b/combo/apps/search/migrations/0001_initial.py
index 7ba218f0..07d2cffd 100644
--- a/combo/apps/search/migrations/0001_initial.py
+++ b/combo/apps/search/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/search/migrations/0002_auto_20180720_1511.py b/combo/apps/search/migrations/0002_auto_20180720_1511.py
index c9be4d99..1f89aa1c 100644
--- a/combo/apps/search/migrations/0002_auto_20180720_1511.py
+++ b/combo/apps/search/migrations/0002_auto_20180720_1511.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations
 
diff --git a/combo/apps/search/migrations/0003_create_search_services.py b/combo/apps/search/migrations/0003_create_search_services.py
index 66eb545b..b58c13f1 100644
--- a/combo/apps/search/migrations/0003_create_search_services.py
+++ b/combo/apps/search/migrations/0003_create_search_services.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations
 
 
diff --git a/combo/apps/search/migrations/0004_remove_searchcell__search_service.py b/combo/apps/search/migrations/0004_remove_searchcell__search_service.py
index 22852d59..64baa5f8 100644
--- a/combo/apps/search/migrations/0004_remove_searchcell__search_service.py
+++ b/combo/apps/search/migrations/0004_remove_searchcell__search_service.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/search/models.py b/combo/apps/search/models.py
index 0542d5d7..0fae2505 100644
--- a/combo/apps/search/models.py
+++ b/combo/apps/search/models.py
@@ -62,7 +62,7 @@ class SearchCell(CellBase):
     def is_visible(self, **kwargs):
         if not self._search_services.get('data'):
             return False
-        return super(SearchCell, self).is_visible(**kwargs)
+        return super().is_visible(**kwargs)
 
     def get_default_form_class(self):
         from .forms import SearchCellForm
@@ -156,7 +156,7 @@ class SearchCell(CellBase):
             context[self.varname] = request.GET.get(self.varname)
 
     def get_cell_extra_context(self, context):
-        extra_context = super(SearchCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         # if there is a q_<slug> in query_string, send it to the template (to be
         # used as an initial query) and remove it from query_string
         initial_q = None
diff --git a/combo/apps/wcs/context_processors.py b/combo/apps/wcs/context_processors.py
index ac979994..b4457ae1 100644
--- a/combo/apps/wcs/context_processors.py
+++ b/combo/apps/wcs/context_processors.py
@@ -32,7 +32,7 @@ def get_default_wcs_service_key():
     return None
 
 
-class LazyCardDefObjectsManager(object):
+class LazyCardDefObjectsManager:
     def __init__(self, service_key, card_id, custom_view_id=None, filters=None, user=Ellipsis):
         self._service_key = service_key
         self._card_id = card_id
@@ -147,14 +147,13 @@ class LazyCardDefObjectsManager(object):
 
     def __iter__(self):
         self._populate_cache()
-        for data in self._cached_resultset:
-            yield data
+        yield from self._cached_resultset
 
     def __nonzero__(self):
         return any(self)
 
 
-class LazyCardDef(object):
+class LazyCardDef:
     def __init__(self, slug):
         if ':' in slug:
             self.service_key, self.card_id = slug.split(':')[:2]
@@ -167,7 +166,7 @@ class LazyCardDef(object):
         return LazyCardDefObjectsManager(self.service_key, self.card_id)
 
 
-class Cards(object):
+class Cards:
     def __getattr__(self, attr):
         try:
             return LazyCardDef(attr)
diff --git a/combo/apps/wcs/forms.py b/combo/apps/wcs/forms.py
index cbf37210..6479f880 100644
--- a/combo/apps/wcs/forms.py
+++ b/combo/apps/wcs/forms.py
@@ -42,7 +42,7 @@ class WcsFormCellForm(forms.ModelForm):
         fields = ('formdef_reference',)
 
     def __init__(self, *args, **kwargs):
-        super(WcsFormCellForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         formdef_references = get_wcs_options('/api/formdefs/')
         self.fields['formdef_reference'].widget = forms.Select(choices=formdef_references)
 
@@ -108,7 +108,7 @@ class WcsCategoryCellForm(forms.ModelForm):
         fields = ('category_reference',)
 
     def __init__(self, *args, **kwargs):
-        super(WcsCategoryCellForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         references = get_wcs_options('/api/categories/')
         self.fields['category_reference'].widget = forms.Select(choices=references)
 
@@ -119,7 +119,7 @@ class WcsFormsOfCategoryCellForm(forms.ModelForm):
         fields = ('category_reference', 'ordering', 'manual_order', 'limit')
 
     def __init__(self, *args, **kwargs):
-        super(WcsFormsOfCategoryCellForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         references = get_wcs_options('/api/categories/')
         formdef_references = get_wcs_options('/api/formdefs/', include_category_slug=True)
         self.fields['ordering'].widget = forms.Select(
@@ -134,7 +134,7 @@ class WcsFormsOfCategoryCellForm(forms.ModelForm):
 class CategoriesSelectMultiple(forms.SelectMultiple):
     def format_value(self, value):
         value = json.loads(value)
-        return super(CategoriesSelectMultiple, self).format_value(value.get('data') or [])
+        return super().format_value(value.get('data') or [])
 
     def value_from_datadict(self, data, files, name):
         if isinstance(data, MultiValueDict):
@@ -142,7 +142,7 @@ class CategoriesSelectMultiple(forms.SelectMultiple):
         return data.get(name, None)
 
 
-class WcsFormsMixin(object):
+class WcsFormsMixin:
     def _init_wcs_site(self):
         if len(get_wcs_services()) == 1:
             self.fields['wcs_site'].widget = forms.HiddenInput()
diff --git a/combo/apps/wcs/migrations/0001_initial.py b/combo/apps/wcs/migrations/0001_initial.py
index e87623b1..5e0a9716 100644
--- a/combo/apps/wcs/migrations/0001_initial.py
+++ b/combo/apps/wcs/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import combo.apps.wcs.models
diff --git a/combo/apps/wcs/migrations/0002_auto_20150217_1402.py b/combo/apps/wcs/migrations/0002_auto_20150217_1402.py
index 5705de54..d85af87a 100644
--- a/combo/apps/wcs/migrations/0002_auto_20150217_1402.py
+++ b/combo/apps/wcs/migrations/0002_auto_20150217_1402.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0003_auto_20150218_1151.py b/combo/apps/wcs/migrations/0003_auto_20150218_1151.py
index 4180a8ea..ea506a28 100644
--- a/combo/apps/wcs/migrations/0003_auto_20150218_1151.py
+++ b/combo/apps/wcs/migrations/0003_auto_20150218_1151.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0004_auto_20150218_1154.py b/combo/apps/wcs/migrations/0004_auto_20150218_1154.py
index b57337bf..8f787a07 100644
--- a/combo/apps/wcs/migrations/0004_auto_20150218_1154.py
+++ b/combo/apps/wcs/migrations/0004_auto_20150218_1154.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0005_auto_20150401_0758.py b/combo/apps/wcs/migrations/0005_auto_20150401_0758.py
index b558fb69..a9d0411a 100644
--- a/combo/apps/wcs/migrations/0005_auto_20150401_0758.py
+++ b/combo/apps/wcs/migrations/0005_auto_20150401_0758.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0006_categoriescell.py b/combo/apps/wcs/migrations/0006_categoriescell.py
index 5b3d98a8..791c0845 100644
--- a/combo/apps/wcs/migrations/0006_categoriescell.py
+++ b/combo/apps/wcs/migrations/0006_categoriescell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 import combo.apps.wcs.models
diff --git a/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py b/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py
index 8331c304..cd17ca35 100644
--- a/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py
+++ b/combo/apps/wcs/migrations/0007_trackingcodeinputcell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py b/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py
index dc97fcf7..8c15badb 100644
--- a/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py
+++ b/combo/apps/wcs/migrations/0008_wcsformcell_cached_json.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations, models
 
diff --git a/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py b/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py
index 65b4b1b9..71c64973 100644
--- a/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py
+++ b/combo/apps/wcs/migrations/0009_remove_wcscategorycell_link_page.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0010_auto_20151029_1535.py b/combo/apps/wcs/migrations/0010_auto_20151029_1535.py
index 79db827e..c6cc70ef 100644
--- a/combo/apps/wcs/migrations/0010_auto_20151029_1535.py
+++ b/combo/apps/wcs/migrations/0010_auto_20151029_1535.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0011_auto_20151215_1121.py b/combo/apps/wcs/migrations/0011_auto_20151215_1121.py
index e2cafcca..a78fb8a1 100644
--- a/combo/apps/wcs/migrations/0011_auto_20151215_1121.py
+++ b/combo/apps/wcs/migrations/0011_auto_20151215_1121.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py b/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py
index 6c539535..7e976009 100644
--- a/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py
+++ b/combo/apps/wcs/migrations/0012_wcsformsofcategorycell_manual_order.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations, models
 
diff --git a/combo/apps/wcs/migrations/0013_auto_20160928_1152.py b/combo/apps/wcs/migrations/0013_auto_20160928_1152.py
index f6a3d1ce..2e339fac 100644
--- a/combo/apps/wcs/migrations/0013_auto_20160928_1152.py
+++ b/combo/apps/wcs/migrations/0013_auto_20160928_1152.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0014_auto_20170214_2006.py b/combo/apps/wcs/migrations/0014_auto_20170214_2006.py
index 7b351f02..82bbc2b6 100644
--- a/combo/apps/wcs/migrations/0014_auto_20170214_2006.py
+++ b/combo/apps/wcs/migrations/0014_auto_20170214_2006.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
diff --git a/combo/apps/wcs/migrations/0018_wcscurrentdraftscell_categories.py b/combo/apps/wcs/migrations/0018_wcscurrentdraftscell_categories.py
index 9ebd2376..ca27dcb2 100644
--- a/combo/apps/wcs/migrations/0018_wcscurrentdraftscell_categories.py
+++ b/combo/apps/wcs/migrations/0018_wcscurrentdraftscell_categories.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations
 
diff --git a/combo/apps/wcs/migrations/0019_wcscurrentformscell_include_drafts.py b/combo/apps/wcs/migrations/0019_wcscurrentformscell_include_drafts.py
index cc1ad161..dfa90918 100644
--- a/combo/apps/wcs/migrations/0019_wcscurrentformscell_include_drafts.py
+++ b/combo/apps/wcs/migrations/0019_wcscurrentformscell_include_drafts.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0020_cards.py b/combo/apps/wcs/migrations/0020_cards.py
index d88340d2..7a74be6b 100644
--- a/combo/apps/wcs/migrations/0020_cards.py
+++ b/combo/apps/wcs/migrations/0020_cards.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.db import migrations, models
 
diff --git a/combo/apps/wcs/migrations/0021_card.py b/combo/apps/wcs/migrations/0021_card.py
index 73773be6..a57d66c9 100644
--- a/combo/apps/wcs/migrations/0021_card.py
+++ b/combo/apps/wcs/migrations/0021_card.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.db.models.deletion
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations, models
diff --git a/combo/apps/wcs/migrations/0022_cards_user.py b/combo/apps/wcs/migrations/0022_cards_user.py
index 1ad150d0..a6e04976 100644
--- a/combo/apps/wcs/migrations/0022_cards_user.py
+++ b/combo/apps/wcs/migrations/0022_cards_user.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0023_card_info_id.py b/combo/apps/wcs/migrations/0023_card_info_id.py
index 146373a0..53d5ae66 100644
--- a/combo/apps/wcs/migrations/0023_card_info_id.py
+++ b/combo/apps/wcs/migrations/0023_card_info_id.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0024_card_info_user.py b/combo/apps/wcs/migrations/0024_card_info_user.py
index a7330ff0..5b9afa42 100644
--- a/combo/apps/wcs/migrations/0024_card_info_user.py
+++ b/combo/apps/wcs/migrations/0024_card_info_user.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0025_submission_categories.py b/combo/apps/wcs/migrations/0025_submission_categories.py
index ebc46d4e..16675856 100644
--- a/combo/apps/wcs/migrations/0025_submission_categories.py
+++ b/combo/apps/wcs/migrations/0025_submission_categories.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.contrib.postgres.fields import JSONField
 from django.db import migrations
 
diff --git a/combo/apps/wcs/migrations/0028_wcscardscell_without_user.py b/combo/apps/wcs/migrations/0028_wcscardscell_without_user.py
index 554099a7..ec31d49a 100644
--- a/combo/apps/wcs/migrations/0028_wcscardscell_without_user.py
+++ b/combo/apps/wcs/migrations/0028_wcscardscell_without_user.py
@@ -1,5 +1,3 @@
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0029_cards_custom_title.py b/combo/apps/wcs/migrations/0029_cards_custom_title.py
index e3ca7798..8cb18825 100644
--- a/combo/apps/wcs/migrations/0029_cards_custom_title.py
+++ b/combo/apps/wcs/migrations/0029_cards_custom_title.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/wcs/migrations/0032_forms_user_can_access.py b/combo/apps/wcs/migrations/0032_forms_user_can_access.py
index f1e2ccca..b6ad4aa9 100644
--- a/combo/apps/wcs/migrations/0032_forms_user_can_access.py
+++ b/combo/apps/wcs/migrations/0032_forms_user_can_access.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import django.contrib.postgres.fields.jsonb
 import django.db.models.deletion
 from django.db import migrations, models
diff --git a/combo/apps/wcs/models.py b/combo/apps/wcs/models.py
index a7877d5c..9bd312e6 100644
--- a/combo/apps/wcs/models.py
+++ b/combo/apps/wcs/models.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # combo - content management system
 # Copyright (C) 2014-2015  Entr'ouvert
@@ -124,7 +123,7 @@ class WcsFormCell(CellBase):
         populate_cache()
 
     def get_cell_extra_context(self, context):
-        context = super(WcsFormCell, self).get_cell_extra_context(context)
+        context = super().get_cell_extra_context(context)
         context['slug'] = self.formdef_reference.split(':')[-1]
         context['title'] = self.cached_title
         context['url'] = self.cached_url + 'tryauth'
@@ -262,7 +261,7 @@ class WcsCategoryCell(WcsCommonCategoryCell):
         return WcsCategoryCellForm
 
     def get_cell_extra_context(self, context):
-        context = super(WcsCategoryCell, self).get_cell_extra_context(context)
+        context = super().get_cell_extra_context(context)
         if not self.category_reference:
             return context
         context['slug'] = self.category_reference.split(':')[-1]
@@ -272,7 +271,7 @@ class WcsCategoryCell(WcsCommonCategoryCell):
         return context
 
 
-class WcsBlurpMixin(object):
+class WcsBlurpMixin:
     is_enabled = classmethod(is_wcs_enabled)
     cache_duration = 5
     api_url = None
@@ -299,7 +298,7 @@ class WcsBlurpMixin(object):
             wcs_sites = get_wcs_services()
 
         result = {}
-        returns = set([])
+        returns = set()
         for wcs_slug, _wcs_site in wcs_sites.items():
             api_url = self.get_api_url_for_site(context, wcs_slug)
             if not api_url:
@@ -363,7 +362,7 @@ class WcsDataBaseCell(CellBase, WcsBlurpMixin):
         abstract = True
 
     def get_additional_label(self):
-        wcs_sites = dict([(x, y.get('title')) for x, y in get_wcs_services().items()])
+        wcs_sites = {x: y.get('title') for x, y in get_wcs_services().items()}
         if len(wcs_sites.keys()) < 2:
             return ''
         if self.wcs_site in wcs_sites:
@@ -390,7 +389,7 @@ class WcsDataBaseCell(CellBase, WcsBlurpMixin):
         )
 
     def get_cell_extra_context(self, context):
-        extra_context = super(WcsDataBaseCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         extra_context.update(WcsBlurpMixin.get_cell_extra_context(self, context))
         return extra_context
 
@@ -406,10 +405,10 @@ class WcsUserDataBaseCell(WcsDataBaseCell):
         user = kwargs.get('user')
         if not user or user.is_anonymous:
             return False
-        return super(WcsUserDataBaseCell, self).is_visible(**kwargs)
+        return super().is_visible(**kwargs)
 
 
-class CategoriesValidityMixin(object):
+class CategoriesValidityMixin:
     def check_validity(self):
         categories = self.categories.get('data', [])
 
@@ -435,7 +434,7 @@ class CategoriesValidityMixin(object):
         self.mark_as_valid()
 
 
-class CategoriesFilteringMixin(object):
+class CategoriesFilteringMixin:
     def get_api_url_for_site(self, context, wcs_slug):
         url = self.get_api_url(context)
 
@@ -491,7 +490,7 @@ class WcsCurrentFormsCell(CategoriesValidityMixin, CategoriesFilteringMixin, Wcs
         return 'combo/wcs/current_forms.html'
 
     def get_additional_label(self):
-        initial_label = super(WcsCurrentFormsCell, self).get_additional_label()
+        initial_label = super().get_additional_label()
         if self.include_drafts:
             if self.current_forms and self.done_forms:
                 label = _('All Forms and Drafts')
@@ -511,7 +510,7 @@ class WcsCurrentFormsCell(CategoriesValidityMixin, CategoriesFilteringMixin, Wcs
         return label
 
     def get_cell_extra_context(self, context):
-        context = super(WcsCurrentFormsCell, self).get_cell_extra_context(context)
+        context = super().get_cell_extra_context(context)
 
         for wcs_site in context['user_forms']:
             if not context['user_forms'].get(wcs_site):
@@ -568,7 +567,7 @@ class WcsCurrentDraftsCell(CategoriesValidityMixin, CategoriesFilteringMixin, Wc
         return '/api/user/drafts'
 
     def get_cell_extra_context(self, context):
-        context = super(WcsCurrentDraftsCell, self).get_cell_extra_context(context)
+        context = super().get_cell_extra_context(context)
 
         for wcs_site in context['current_drafts']:
             if not context['current_drafts'].get(wcs_site):
@@ -658,7 +657,7 @@ class WcsFormsOfCategoryCell(WcsCommonCategoryCell, WcsBlurpMixin):
         self.mark_as_valid()
 
     def get_cell_extra_context(self, context):
-        extra_context = super(WcsFormsOfCategoryCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         extra_context.update(WcsBlurpMixin.get_cell_extra_context(self, context))
         if not self.category_reference:
             return extra_context
@@ -791,7 +790,7 @@ class CategoriesCell(WcsDataBaseCell):
         verbose_name = _('Form Categories')
 
 
-class CardMixin(object):
+class CardMixin:
     invalid_reason_codes = invalid_reason_codes
 
     def is_relevant(self, context):
@@ -1062,7 +1061,7 @@ class TrackingCodeInputCell(CellBase):
         )
 
     def get_cell_extra_context(self, context):
-        extra_context = super(TrackingCodeInputCell, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         if not self.wcs_site:
             self.wcs_site = list(get_wcs_services().keys())[0]
         extra_context['url'] = get_wcs_services().get(self.wcs_site).get('url')
@@ -1094,7 +1093,7 @@ class BackofficeSubmissionCell(CategoriesValidityMixin, CategoriesFilteringMixin
         return BackofficeSubmissionCellForm
 
     def get_cell_extra_context(self, context):
-        context = super(BackofficeSubmissionCell, self).get_cell_extra_context(context)
+        context = super().get_cell_extra_context(context)
         all_formdefs = context.pop('all_formdefs')
         formdefs = {}
 
diff --git a/combo/apps/wcs/views.py b/combo/apps/wcs/views.py
index 2b062547..570bf1d3 100644
--- a/combo/apps/wcs/views.py
+++ b/combo/apps/wcs/views.py
@@ -42,7 +42,7 @@ class TrackingCodeView(View):
     def dispatch(self, *args, **kwargs):
         # CSRF check must be disabled as the cell may be distributed to other
         # sites in a skeleton.
-        return super(TrackingCodeView, self).dispatch(*args, **kwargs)
+        return super().dispatch(*args, **kwargs)
 
     @classmethod
     def search(self, code, request, wcs_site=None):
@@ -92,7 +92,7 @@ class TrackingCodeView(View):
             if redirect_to_other_domain:
                 raise
             else:
-                messages.error(self.request, _(u'Looking up tracking code is currently rate limited.'))
+                messages.error(self.request, _('Looking up tracking code is currently rate limited.'))
         else:
             if url:
                 return HttpResponseRedirect(url)
@@ -103,7 +103,7 @@ class TrackingCodeView(View):
                     next_url += '?'
                 next_url += 'unknown-tracking-code'
             else:
-                messages.error(self.request, _(u'The tracking code could not been found.'))
+                messages.error(self.request, _('The tracking code could not been found.'))
 
         return HttpResponseRedirect(next_url)
 
diff --git a/combo/data/fields.py b/combo/data/fields.py
index 05dd5c46..7c3330a1 100644
--- a/combo/data/fields.py
+++ b/combo/data/fields.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # combo - content management system
 # Copyright (C) 2015-2017  Entr'ouvert
@@ -33,22 +32,22 @@ class RichTextField(ckeditor.fields.RichTextField):
             'external_plugin_resources': self.external_plugin_resources,
         }
         defaults.update(kwargs)
-        return super(RichTextField, self).formfield(**defaults)
+        return super().formfield(**defaults)
 
 
 class RichTextFormField(ckeditor.fields.RichTextFormField):
     def clean(self, value):
-        value = super(RichTextFormField, self).clean(value)
+        value = super().clean(value)
         if settings.LANGUAGE_CODE.startswith('fr-'):
             # apply some typographic rules
-            value = value.replace(u'&laquo; ', u'«\u202f')
-            value = value.replace(u'« ', u'«\u202f')
-            value = value.replace(u' &raquo;', u'\u202f»')
-            value = value.replace(u' »', u'\u202f»')
-            value = value.replace(u' :', u'\u00a0:')
-            value = value.replace(u' ;', u'\u202f;')
-            value = value.replace(u' !', u'\u202f!')
-            value = value.replace(u' ?', u'\u202f?')
+            value = value.replace('&laquo; ', '«\u202f')
+            value = value.replace('« ', '«\u202f')
+            value = value.replace(' &raquo;', '\u202f»')
+            value = value.replace(' »', '\u202f»')
+            value = value.replace(' :', '\u00a0:')
+            value = value.replace(' ;', '\u202f;')
+            value = value.replace(' !', '\u202f!')
+            value = value.replace(' ?', '\u202f?')
         return value
 
 
@@ -68,4 +67,4 @@ class TemplatableURLField(forms.URLField):
         value = super(forms.URLField, self).to_python(value)
         if '{{' in value or '{%' in value:
             return value
-        return super(TemplatableURLField, self).to_python(value)
+        return super().to_python(value)
